Minimum Number of Pushes to Type Word I and II | Leetcode 3014 | Leetcode 3016 | Weekly Contest
Whatsapp Community Link : https://www.whatsapp.com/channel/0029Va6kVSjICVfiVdsHgi1A
This is the 11th Video of our Playlist "Hash Map/Set : Popular Interview Problems".
In this video we will try to solve two very good map problems - Minimum Number of Pushes to Type Word I and II (Leetcode 3014 and Leetcode 3016)
I will explain the intuition so easily that you will never forget and start seeing this as cakewalk EASYYY.
We will do live coding after explanation and see if we are able to pass all the test cases.
Also, please note that my Github solution link below contains both C++ as well as JAVA code.
Problem Name : Minimum Number of Pushes to Type Word I and II (Leetcode 3014 and Leetcode 3016)
Company Tags : will update soon
My solutions on Github(C++ & JAVA) :
Part-1 : https://github.com/MAZHARMIK/Interview_DS_Algo/blob/master/HashMap/Minimum%20Number%20of%20Pushes%20to%20Type%20Word%20I.cpp
Part-2 : https://github.com/MAZHARMIK/Interview_DS_Algo/blob/master/HashMap/Minimum%20Number%20of%20Pushes%20to%20Type%20Word%20II.cpp
Leetcode Link :
https://leetcode.com/problems/minimum-number-of-pushes-to-type-word-i/
https://leetcode.com/problems/minimum-number-of-pushes-to-type-word-ii/
My DP Concepts Playlist : https://youtu.be/7eLMOE1jnls
My Graph Concepts Playlist : https://youtu.be/5JGiZnr6B5w
My GitHub Repo for interview preparation : https://github.com/MAZHARMIK/Interview_DS_Algo
Subscribe to my channel : https://www.youtube.com/@codestorywithMIK
Instagram : https://www.instagram.com/codestorywithmik/
Facebook : https://www.facebook.com/people/codestorywithmik/100090524295846/
Twitter : https://twitter.com/CSwithMIK
Part-1 Summary : The approach involves creating a vector mp of size 26, initialized with zeros. For each character in the input word, the corresponding index in the vector is set to 1, indicating the presence of that character. The vector is then sorted in descending order based on the frequency of characters. The variable ans is initialized to zero, and a loop iterates through the sorted vector. For each element, the contribution to the answer is calculated by multiplying the frequency of the character by the expression ((i/8) + 1), where i is the current index. This expression is used to determine the group to which the character belongs, considering that characters with higher frequencies need fewer pushes. The result is the total minimum number of pushes required to rearrange the characters in the word to form a palindrome, and it is returned by the function.
Part-2 Summary : Same approach as Approach-1 above. In this case we just keep in mind the frequency of each character can be more than 1.
╔═╦╗╔╦╗╔═╦═╦╦╦╦╗╔═╗
║╚╣║║║╚╣╚╣╔╣╔╣║╚╣═╣
╠╗║╚╝║║╠╗║╚╣║║║║║═╣
╚═╩══╩═╩═╩═╩╝╚╩═╩═╝
✨ Timelines✨
00:00 - Introduction
#coding #helpajobseeker #easyrecipes #leetcode #leetcodequestionandanswers #leetcodesolution #leetcodedailychallenge #leetcodequestions #leetcodechallenge #hindi #india #coding #helpajobseeker #easyrecipes #leetcode #leetcodequestionandanswers #leetcodesolution #leetcodedailychallenge#leetcodequestions #leetcodechallenge #hindi #india #hindiexplanation #hindiexplained #easyexplaination #interview#interviewtips #interviewpreparation #interview_ds_algo #hinglish #github #design #data #google #video #instagram #facebook #leetcode #computerscience #leetcodesolutions #leetcodequestionandanswers #code #learning #dsalgo #dsa #2024 #newyear